import { CodeFix } from '../codeFixes';
/**
# description

adds missing constructor

# attacks

"code": "2554","message": "Expected 0 arguments, but got 3.",

# example

```alpha2 = new Alpha('hello', 1, new Date())```

# TODO

 * should call super if class extends
 * config
 * Issue (non critical): new Gamma('hello', 1, new Date())  if you stand at `Date` then it will suggest "create constructor Date"
 
 */
export declare const codeFixCreateConstructor: CodeFix;
