import * as ts from 'typescript';
import { CodeFix, CodeFixOptions } from '../codeFixes';
/**
# Description

This will remove comments selection that don't match with configurable patterns , by default those line comments that doesn't start with "TODO" or "heads up"

*/
export declare class RemoveComments implements CodeFix {
    name: string;
    constructor();
    config: any;
    predicate(options: CodeFixOptions): boolean;
    description(options: CodeFixOptions): string;
    apply(options: CodeFixOptions): ts.RefactorEditInfo;
}
export declare const removeComments: RemoveComments;
