import { CodeFix } from '../codeFixes';
/**

# Description

This refactor will split a variable declaration list with multiple variable declarations into single variable declaration statements.

# Example

```let i = 0, c = 's', arr = []```

Selecting any fragment of previous statement will suggest te refactor "Split variable declaration list" and if applied it will result in the following code:

```
let i = 0
let c = 's'
let arr = []
```

It doesn't attack any error diagnostic.

# TODO
 * unsplit variables - if we are in a more than one var decl statement
 * config
*/
export declare const splitVariableDeclarationList: CodeFix;
