import * as ts from 'typescript';
import { CodeFix, CodeFixOptions } from "../codeFixes";
/**

# Description

change string quote character - allowing to change a isNoSubstitutionTemplateLiteral to a regular string.

Note : for going back and forward from template strings use the fix gemplate2literal - this one is only for simple string literals
 
# Example

# TODO

*/
export declare class StringChangeQuoteChar implements CodeFix {
    name: string;
    config: {};
    private newQuotes;
    predicate(arg: CodeFixOptions): boolean;
    description(arg: CodeFixOptions): string;
    apply(arg: CodeFixOptions): ts.RefactorEditInfo;
}
export declare const stringChangeQuoteChar: StringChangeQuoteChar;
