import { CodeFix } from '../codeFixes';
/**
 
# Description

This is the opposite as fixImplementation* - when the implementation implements an interface or class incorrectly it ill fix the interface/class instead of the implementation by adding/removing

WARNING: this is probably very dangerous operation but could be useful on initial quick type modeling from data

# Example:
```
let a = 1
//....
let a = 's'
// ....
function a(){}
class a{}
```
# Attacks:

"code": "2451", "message": "Cannot redeclare block-scoped variable 'a'.",

# TODO

 * config
 * check if new variable doesn't already exists

*/
export declare const renameVariable: CodeFix;
