import { CodeFix } from '../codeFixes';
/**
# Description

Suggests declaring an empty class or interface when a something is extending or implementing something that is not found

# Example

```
class Onion extends NonExistent implements NonExistentInterface{}
```

# Attacks
 
    "code": "2304",	"message": "Cannot find name 'NonExistentInterface'.",

# TODO
 
 * issue: move scroll to end of file
 * issue - break  target class' jsdoc
 * modify the file using  insertClass or insertInterface using Structures no text
 * var a = nonexistentFunction(1) <--- is suggested here and should not
 * config

 */
export declare const declareClass: CodeFix;
